/**************************************************************************
* Copyright 2019 Pascal Gloor
* 
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
* 
*     http://www.apache.org/licenses/LICENSE-2.0
* 
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
**************************************************************************/

#ifndef __DP_NFQUEUE
#define __DP_NFQUEUE 1

#include <stdint.h>
#include <linux/netfilter.h>
#include <libnetfilter_queue/libnetfilter_queue.h>

#include "dp_helpers.h"

void *dp_nfq_start  (void*);
int   dp_dhcp_check (struct nfq_data*, dp_conf*);
int   dp_callback   (struct nfq_q_handle*, struct nfgenmsg*, struct nfq_data*, void*);

#endif // __DP_MACRO
